Package: org.codehaus.groovy.classgen.asm

## [Java] Class StatementMeta

- org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.StatementMeta

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected VariableExpression` | `declaredVariableExpression` |
    `protected boolean[]` | `involvedTypes` |
    `protected MethodNode` | `target` |
    `protected ClassNode` | `type` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `chainInvolvedTypes(OptimizeFlagsCollector opt)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected VariableExpression declaredVariableExpression

    - #### protected boolean[] involvedTypes

    - #### protected MethodNode target

    - #### protected ClassNode type

  - ### Method Detail

    - #### public void chainInvolvedTypes(OptimizeFlagsCollector opt)

    - #### public String toString()